Skip to main content

Update certificate credential properties

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/certificates/:extId/properties

Since: 2.73.0

Required permission(s): AccessControl.CredentialView,AccessControl.CredentialModify,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView,AccessControl.PropertyValueCreate,AccessControl.PropertyValueDelete,AccessControl.PropertyValueModify

Updates the custom properties of the certificate credential with the specified external ID.

Properties are provided as a flat key-value map. Only the properties included in the request are updated or created. Properties not present in the request remain unchanged. To remove a property value, set it to null or an empty string.

Only properties defined for the CredentialCertificate scope are accepted. Providing an unknown property name results in an error. Property values are validated against constraints defined in the property definition (e.g. maximum length, regex pattern, uniqueness).

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the certificate credential.

    Example: cert-123

Body

required
    property name* string

Responses

Certificate credential properties updated successfully

Schema
    property name* string
Loading...